﻿Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports Microsoft.WindowsAzure.Storage
Imports Microsoft.WindowsAzure.Storage.Table

Namespace WebRole1
	Partial Public Class _Default
		Inherits Page

		Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
			Try
				' Use the local storage emulator
				Dim storageAccount = CloudStorageAccount.DevelopmentStorageAccount
				' Create a cloud table client object
				Dim tableClient As CloudTableClient = storageAccount.CreateCloudTableClient()
				' Create an email address table object
				Dim emailAddressTable As CloudTable = tableClient.GetTableReference("EmailAddressTable")
				' Create the table if it does not exist
				' Only insert a new record once for this demo
				If emailAddressTable.CreateIfNotExists() = True Then
					' Create a new EmailAddressEntity entity
					Dim emailaddress As New EmailAddressEntity("bterkaly@microsoft.com", "555-555-5555")
					' Create an operation to add the new email and phone number to 
					' the EmailAddress table.
					Dim insertEmail As TableOperation = TableOperation.Insert(emailaddress)
					' Submit the operation to the table service.
					emailAddressTable.Execute(insertEmail)
				End If
			Catch ex As Exception

				' Put the message in the web page title (for testing purposes)
				' Real error messages should go to a proper log file
				Me.Title = ex.Message.ToString()
				Throw
			End Try
		End Sub

		Protected Sub Button1_Click(ByVal sender As Object, ByVal e As EventArgs)
			' Use the local storage emulator
			Dim storageAccount = CloudStorageAccount.DevelopmentStorageAccount
			Try
				' Create the table client.
				Dim tableClient As CloudTableClient = storageAccount.CreateCloudTableClient()
				Dim emailAddressTable As CloudTable = tableClient.GetTableReference("EmailAddressTable")

				' Retrieve the entity with partition key of "microsoft.com" and row key of "bterkaly"
				Dim retrieveBrunoEmail As TableOperation = TableOperation.Retrieve(Of EmailAddressEntity)("microsoft.com", "bterkaly")

				' Retrieve entity
				Dim specificEntity As EmailAddressEntity = CType(emailAddressTable.Execute(retrieveBrunoEmail).Result, EmailAddressEntity)
				Dim result As TableResult = emailAddressTable.Execute(TableOperation.Retrieve(Of EmailAddressEntity)("microsoft.com", "bterkaly"))

				' Pull the data out that you searched for
				' Do something with emailAddress and phoneNumber
				Dim emailAddress As String = specificEntity.EMailAddress
				Dim phoneNumber As String = specificEntity.PhoneNumber

			Catch ex As Exception
				' Put the message in the web page title (for testing purposes)
				' Real error messages should go to a proper log file
				Me.Title = ex.Message.ToString()
				Throw
			End Try
		End Sub

		Protected Sub Button2_Click(ByVal sender As Object, ByVal e As EventArgs)
			' Use the local storage emulator
			Dim storageAccount = CloudStorageAccount.DevelopmentStorageAccount
			' Create a cloud table client object
			Dim tableClient As CloudTableClient = storageAccount.CreateCloudTableClient()
			' Create an email address table object
			Dim emailAddressTable As CloudTable = tableClient.GetTableReference("EmailAddressTable")
			' Set up the filter for the partition key
			Dim pkFilter As String = TableQuery.GenerateFilterCondition("PartitionKey", QueryComparisons.Equal, "microsoft.com")
			' Set up the filter for the row key
			Dim rkFilter As String = TableQuery.GenerateFilterCondition("RowKey", QueryComparisons.GreaterThanOrEqual, "bterkaly")
			' Combine the partition key filter and the Row Key filter
			Dim combinedFilter As String = TableQuery.CombineFilters(rkFilter, TableOperators.And, pkFilter)
			' Construct a query
            Dim query As New TableQuery(Of EmailAddressEntity)
            query.Where(combinedFilter)
			' Execute the query
			Dim emailAddressEWntity As EmailAddressEntity = emailAddressTable.ExecuteQuery(query).First()

        End Sub
	End Class
End Namespace