﻿Imports Microsoft.WindowsAzure.Storage.Table
Imports Microsoft.WindowsAzure.Storage.Table.DataServices

Namespace WebRole1

	' Our entity derives from TableEntity
	Public Class EmailAddressEntity
		Inherits TableEntity
		' Basic information that makes up our entity
		Public Property EMailAddress() As String
		Public Property PhoneNumber() As String

		' A necessary default constructor
		Public Sub New()
		End Sub

		' A two parameter constructor
		Public Sub New(ByVal email As String, ByVal phone As String)
			EMailAddress = email
			PhoneNumber = phone
			SetKeys(email, phone)
		End Sub

		' A method that initializes the partition key and row key
		Public Sub SetKeys(ByVal email As String, ByVal phone As String)
			Dim startIndex As Integer = email.IndexOf("@")
			' Extract the mailname from the email address
			Dim mailname As String = email.Substring(0, startIndex)
			' Extract the domain from the email address
			Dim domain As String = email.Substring(startIndex + 1)
			' Perform the mandatory assignments to the partition key and row key
			PartitionKey = domain
			RowKey = mailname
			PhoneNumber = phone
		End Sub
	End Class
End Namespace

